## python-restkit 2.0.2

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build
GHPIMPORT     = ${PWD}/ghp-import
SPHINXTOGITHUB = ${PWD}/sphinxtogithub.py
EPYDOC = epydoc
SITEMAPGEN    = ${PWD}/sitemap_gen.py
 
# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .


.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html: clean
	@mkdir -p _build/html/api
	$(EPYDOC) -o _build/html/api ../restkit
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	${SITEMAPGEN} --config=sitemap_config.xml
    
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
	
github:
	@echo "Send to github"
	$(GHPIMPORT) -p $(BUILDDIR)/html

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/restkit.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/restkit.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
python-restkit (2.0.2-1) unstable; urgency=low

  * New upstream
  * debian/source/format: 3.0 (quilt).
  * debian/control
     + Updated to Standards-Version 3.9.0.0 (no changes needed)

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 11 Jul 2010 16:53:01 +0900

python-restkit (1.3.0-2) unstable; urgency=low

  [ Scott Kitterman ]
  * Add python-setuptools to build-depends (Closes: #584387)
  * Add python to build-depends
  * Clean upstream files of extraneous changes
  * Remove unused debian/patches directory and unused patches
  * Remove unneeded debian/python-restkit.preinst

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Sun, 06 Jun 2010 01:33:08 -0400

python-restkit (1.3.0-1) unstable; urgency=low

  * Initial release (Closes: #576383)

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 04 Apr 2010 10:36:47 +0900

=== debian/control ===
Source: python-restkit
Section: python
Priority: extra
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 7), python, python-setuptools, python-support
Standards-Version: 3.9.0.0
Homepage: http://benoitc.github.com/restkit

Package: python-restkit
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Description: Restkit is an HTTP resource kit for Python
 Restkit is an HTTP resource kit for Python. It allows you to easily
 access to HTTP resource and build objects around it. It's the base of
 couchdbkit a Python CouchDB framework.
 .
 Restkit is a full HTTP client using pure socket calls and its own HTTP
 parser. It's not based on httplib or urllib2.

=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to examine a Webpage
# <Webpage URL> <string match>
#http://www.example.com/downloads.php python-restkit-(.*)\.tar\.gz
http://pypi.python.org/packages/source/r/restkit/restkit-(.*).tar.gz

# Uncomment to examine a Webserver directory
#http://www.example.com/pub/python-restkit-(.*)\.tar\.gz

# Uncommment to examine a FTP server
#ftp://ftp.example.com/pub/python-restkit-(.*)\.tar\.gz debian uupdate

# Uncomment to find new files on sourceforge, for devscripts >= 2.9
# http://sf.net/python-restkit/python-restkit-(.*)\.tar\.gz

# Uncomment to find new files on GooglePages
# http://example.googlepages.com/foo.html python-restkit-(.*)\.tar\.gz

## python-restkit 2.3.3

=== debian/changelog ===
python-restkit (2.3.3-1) unstable; urgency=low

  * New Upstream version 2.3.3

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 17 Dec 2010 13:39:42 +0900

python-restkit (2.2.4-1) unstable; urgency=low

  * New Upstream version 2.2.4

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 25 Nov 2010 18:10:43 +0900

python-restkit (2.2.3-1) unstable; urgency=low

  * New Upstream version 2.2.3

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 15 Nov 2010 13:29:21 +0900

python-restkit (2.2.2-1) unstable; urgency=low

  * New Upstream version 2.2.2

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 28 Oct 2010 15:55:26 +0900

python-restkit (2.1.5-1) unstable; urgency=low

  * New upstream. 
  * debian/control
     + Updated to Standards-Version 3.9.1 (no changes needed)

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 26 Aug 2010 10:06:32 +0900

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>
 Build-Depends: debhelper (>= 7), python, python-setuptools, python-support
-Standards-Version: 3.9.0.0
+Standards-Version: 3.9.1
 Homepage: http://benoitc.github.com/restkit
 
 Package: python-restkit
 Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${python:Depends}, ${misc:Depends}
 Provides: ${python:Provides}
 Description: Restkit is an HTTP resource kit for Python
  Restkit is an HTTP resource kit for Python. It allows you to easily

## python-restkit 3.2.3

=== debian/changelog ===
python-restkit (3.2.3-2) unstable; urgency=low

  * Team upload.
  * Rebuild to add Python 2.7 support

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 08 May 2011 16:45:58 +0200

python-restkit (3.2.3-1) unstable; urgency=low

  * New upstream release

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 06 Apr 2011 14:04:42 +0900

python-restkit (3.2.1-1) unstable; urgency=low

  * New upstream release

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 06 Apr 2011 00:00:09 +0900

python-restkit (3.2.0-1) unstable; urgency=low

  * New upstream release
  * use dh_python2.
  * debian/copyright: Rewrite in DEP-5 format. 

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 07 Mar 2011 20:12:55 +0900

python-restkit (3.0.4-1) unstable; urgency=low

  * New upstream release

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 10 Feb 2011 12:13:43 +0900

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,17 @@
 Priority: extra
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>
-Build-Depends: debhelper (>= 7), python, python-setuptools, python-support
+Build-Depends: debhelper (>= 7), python-all(>= 2.6.6-3),
+	python-setuptools,
 Standards-Version: 3.9.1
 Homepage: http://benoitc.github.com/restkit
+X-Python-Version: >= 2.5
 
 Package: python-restkit
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}
 Provides: ${python:Provides}
+Breaks: ${python:Breaks}
 Description: Restkit is an HTTP resource kit for Python
  Restkit is an HTTP resource kit for Python. It allows you to easily
  access to HTTP resource and build objects around it. It's the base of

## python-restkit 3.3.2

=== debian/changelog ===
python-restkit (3.3.2-2) unstable; urgency=low

  * Add python-http-parser to Depends. (Closes: #644296) 

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 09 Oct 2011 17:42:11 +0900

python-restkit (3.3.2-1) unstable; urgency=low

  * New upstream release

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 04 Oct 2011 18:00:37 +0900

python-restkit (3.3.1-1) unstable; urgency=low

  [ TANIGUCHI Takaki ]
  * New upstream release

  [ Jakub Wilk ]
  * Add Vcs-* fields.

  [ TANIGUCHI Takaki ]
  * Bump Standards-Version to 3.9.2. 

 -- TANIGUCHI Takaki <takaki@debian.org>  Sat, 24 Sep 2011 16:52:59 +0900

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,18 @@
 Priority: extra
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>
-Build-Depends: debhelper (>= 7), python-all(>= 2.6.6-3),
+Build-Depends: debhelper (>= 7.0.50~), python-all(>= 2.6.6-3),
 	python-setuptools,
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://benoitc.github.com/restkit
 X-Python-Version: >= 2.5
+Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-restkit/trunk/
+Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-restkit/trunk/
 
 Package: python-restkit
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}
+Depends: ${python:Depends}, ${misc:Depends}, python-http-parser
 Provides: ${python:Provides}
-Breaks: ${python:Breaks}
 Description: Restkit is an HTTP resource kit for Python
  Restkit is an HTTP resource kit for Python. It allows you to easily
  access to HTTP resource and build objects around it. It's the base of

## python-restkit 4.1.2

=== debian/changelog ===
python-restkit (4.1.2-1) unstable; urgency=low

  * New upstream release
  * Bump standards version to 3.9.3.
    + Update debian/copyright URI. 
  * debian/control: Add python-socketpool to Depends. 
  * debian/clean: Removed.
  * debian/source/options: Add to ignore egg-file's changes instead of 'clean'.

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 26 Feb 2012 20:19:09 +0900

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), python-all(>= 2.6.6-3),
 	python-setuptools,
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://benoitc.github.com/restkit
 X-Python-Version: >= 2.5
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-restkit/trunk/
@@ -13,7 +13,8 @@
 
 Package: python-restkit
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-http-parser
+Depends: ${python:Depends}, ${misc:Depends}, python-http-parser, 
+	python-socketpool
 Provides: ${python:Provides}
 Description: Restkit is an HTTP resource kit for Python
  Restkit is an HTTP resource kit for Python. It allows you to easily

## python-restkit 4.1.3

=== requirements.txt ===
http-parser>=0.5.4

=== debian/changelog ===
python-restkit (4.1.3-2) unstable; urgency=low

  * debian/patches/exclude-tests-directory.patch: Don't install 'tests' 
    directory. (Closes: #679489)

 -- TANIGUCHI Takaki <takaki@debian.org>  Sat, 14 Jul 2012 09:15:46 +0900

python-restkit (4.1.3-1) unstable; urgency=low

  * New upstream release

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 10 Jun 2012 20:07:58 +0900

python-restkit (4.1.2-2) unstable; urgency=low

  * debian/control: add versiond python-http-parser to Depends:. 
    (Closes: #668634) 

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 02 May 2012 15:14:40 +0900

=== debian/control ===
--- 
+++ 
@@ -13,8 +13,8 @@
 
 Package: python-restkit
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-http-parser, 
-	python-socketpool
+Depends: ${python:Depends}, ${misc:Depends}, python-http-parser (>= 0.7.5), 
+	python-socketpool(>= 0.4.1)
 Provides: ${python:Provides}
 Description: Restkit is an HTTP resource kit for Python
  Restkit is an HTTP resource kit for Python. It allows you to easily

## python-restkit 4.2.1

=== requirements.txt ===
http-parser>=0.8.1

=== debian/changelog ===
python-restkit (4.2.1-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ TANIGUCHI Takaki ]
  * New upstream release
    + debian/control: Update Depends (python-socketpool).

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 06 May 2013 21:40:03 +0900

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,13 @@
 Standards-Version: 3.9.3
 Homepage: http://benoitc.github.com/restkit
 X-Python-Version: >= 2.5
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-restkit/trunk/
-Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-restkit/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-restkit/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-restkit/trunk/
 
 Package: python-restkit
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-http-parser (>= 0.7.5), 
-	python-socketpool(>= 0.4.1)
+Depends: ${python:Depends}, ${misc:Depends}, python-http-parser (>= 0.8.1), 
+	python-socketpool(>= 0.5.0)
 Provides: ${python:Provides}
 Description: Restkit is an HTTP resource kit for Python
  Restkit is an HTTP resource kit for Python. It allows you to easily

## python-restkit 4.2.2

=== doc/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 SPHINXTOGITHUB = ${PWD}/sphinxtogithub.py
 EPYDOC = epydoc
 SITEMAPGEN    = ${PWD}/sitemap_gen.py
- 
+
 # Internal variables.
 PAPEROPT_a4     = -D latex_paper_size=a4
 PAPEROPT_letter = -D latex_paper_size=letter
@@ -36,14 +36,13 @@
 	-rm -rf $(BUILDDIR)/*
 
 html: clean
-	@mkdir -p _build/html/api
-	$(EPYDOC) -o _build/html/api ../restkit
+	@mkdir -p api
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
 	${SITEMAPGEN} --config=sitemap_config.xml
-    
+
 	@echo
 	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."
-	
+
 github:
 	@echo "Send to github"
 	$(GHPIMPORT) -p $(BUILDDIR)/html

=== debian/changelog ===
python-restkit (4.2.2-1) unstable; urgency=low

  * New upstream release
  * debian/patches/exclude-test-directory.patch: Merged in upstream. Removed. 

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 06 Sep 2013 10:00:29 +0900

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), python-all(>= 2.6.6-3),
 	python-setuptools,
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://benoitc.github.com/restkit
 X-Python-Version: >= 2.5
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-restkit/trunk/

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh  $@ --with python2

override_dh_auto_install:
	dh_auto_install
	rm -r $(CURDIR)/debian/python-restkit/usr/restkit

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/r/restkit/restkit-(.*).tar.gz
